# std::initializer_list::size

From cppreference.com
< cpp‎ | utility‎ | initializer list

size_type size() const; |  | (since C++11) (until C++14)
constexpr size_type size() const; |  | (since C++14)

Returns the number of elements in the initializer list, i.e. std::distance(begin(), end()).

### Parameters

(none)

### Return value

the number of elements in the initializer list

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/initializer_list/size&oldid=91701"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template